
apiVersion: apps/v1
kind: Deployment
metadata:
  name: RELEASE-NAME
  labels:
    app.kubernetes.io/component: 'workload'
    app.kubernetes.io/instance: 'RELEASE-NAME'
    app.kubernetes.io/managed-by: 'Helm'
    app.kubernetes.io/name: 'RELEASE-NAME'
    app.kubernetes.io/part-of: 'NAMESPACE'
    app.kubernetes.io/version: 'undefined'
  annotations:
    {}
spec:
      selector:
        matchLabels:
          app: 'RELEASE-NAME'
      template:
        metadata:
          labels:
            app: 'RELEASE-NAME'
            app.kubernetes.io/component: 'workload'
            app.kubernetes.io/instance: 'RELEASE-NAME'
            app.kubernetes.io/managed-by: 'Helm'
            app.kubernetes.io/name: 'RELEASE-NAME'
            app.kubernetes.io/part-of: 'NAMESPACE'
            app.kubernetes.io/version: 'undefined'
          annotations:
            checksum/configs: 01ba4719c80b6fe911b091a7c05124b64eeece964e09c058ef8f9805daca546b
            checksum/secrets: f52d711103d50a437830c6fbcd04fb4bab49a0f82f6d26d1c791c6e8488dd090
        spec:
          containers:
          - name: RELEASE-NAME
            image: 
            envFrom:
            env:
            volumeMounts:
          volumes:
